Subject: Re: [Teas] New Version Notification for draft-ietf-teas-yang-te-topo-13.txt

From: Xufeng Liu <[email-masked]>
Date: Mon, 30 Oct 2017 15:26:52 +0000

draft-ietf-teas-yang-te-topo-13.txt has been posted to address review comments. One change item included in this revision is a new section as following:

   6. Guidance for Writing Technology Specific TE Topology Augmentations

   The TE topology model defined in this document (basic TE topology
   model) is technology agnostic in a sense that it defines concepts,
   abstractions and attributes that are common across all or, at least,
   multiple network technologies and layer networks defined by them. It
   is envisioned that the model will be widely used when defining
   technology specific TE topology models for various layer networks,
   such as WDM, radio, ODUk, Ethernet and IP/MPLS. Writers of such
   models are encouraged to augment the basic TE topology model's
   containers, such as TE Topology, TE Node, TE Link, Link Termination
   Point (LTP), Tunnel Termination Point (TTP) and Label with the layer
   specific attributes instead of/before defining new containers. For
   example, the tunability range and granularity of a WDM tunable
   transponder could be defined by augmenting in the WDM TE topology
   model the TTP container defined in the basic TE topology model.
   Likewise, supported wavelength grids and optical impairment s
   information (e.g. OSNR contribution) of a WDM layer link could be
   modeled via augmentation of the basic TE topology's TE link
   container, B100 bandwidth units of the TDM/ODUk technology could be
   defined via augmenting the basic TE Topology Label container, local
   climate related information important for the radio network
   technologies could be modeled via augmenting the basic model's TE
   Topology container, and so forth. [YANG-TOPO-WSON], [YANG-TOPO-OTN],
   and [YANG-TOPO-L3TE] are such examples.

We would like this section to be reviewed by model authors who have written or are working on augmentations to this TE topology model. Any feedback will be appreciated.

Thanks,
- Xufeng

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Sunday, October 29, 2017 10:47 PM
> To: Vishnu Beeram <[email-masked]>; Oscar Gonzalez De Dios
> <[email-masked]>; Xufeng Liu <[email-masked]>;
> Oscar de Dios <[email-masked]>; Igor Bryskin
> <[email-masked]>; Himanshu Shah <[email-masked]>; Vishnu
> Pavan Beeram <[email-masked]>; Tarek Saad <[email-masked]>
> Subject: New Version Notification for draft-ietf-teas-yang-te-topo-13.txt
> 
> 
> A new version of I-D, draft-ietf-teas-yang-te-topo-13.txt
> has been successfully submitted by Xufeng Liu and posted to the IETF repository.
> 
> Name:		draft-ietf-teas-yang-te-topo
> Revision:	13
> Title:		YANG Data Model for Traffic Engineering (TE) Topologies
> Document date:	2017-10-29
> Group:		teas
> Pages:		134
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-teas-yang-te-topo-
> 13.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-teas-yang-te-topo/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-teas-yang-te-topo-13
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-teas-yang-te-
> topo-13
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-yang-te-topo-13
> 
> Abstract:
>    This document defines a YANG data model for representing, retrieving
>    and manipulating Traffic Engineering (TE) Topologies. The model
>    serves as a base model that other technology specific TE Topology
>    models can augment.
> 
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat